'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Program;

var _wonders = require('wonders');

var _wonders2 = _interopRequireDefault(_wonders);

var _screenSaver = require('screen-saver');

var _screenSaver2 = _interopRequireDefault(_screenSaver);

var _package = require('../package');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Program() {
    return _wonders2.default.Component(
        'program',
        { name: _package2.default.name, version: _package2.default.version, parse: process.argv },
        _wonders2.default.Component('command', { name: 'start', onAction: _screenSaver2.default })
    );
}